Quassel IRC - Bug #247

ColumnHandle gets lost sometimes
08/04/2008 05:29 PM - Sputnick

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.7.0

Version: 0.4.3 0S: Any
Description

By moving the handle to its limit, and then quickly moving the mouse back, we can lose the handle. Happens when mouse events
don't hit the widget area.

Associated revisions

Revision b1d9c3ea56467245c910ac1de1252c2a91¢c234f0 - 06/30/2010 06:33 PM - Manuel Nickschas
Fix and Qt-4.6-ify ColumnHandleltem
Now that we depend on Qt 4.6, use QGraphicsObject and QPropertyAnimation.

Also, the columnhandle can now no longer get lost while moving.
Fixes #247, fixes #687.

Revision b1d9c3ea - 06/30/2010 06:33 PM - Manuel Nickschas
Fix and Qt-4.6-ify ColumnHandleltem
Now that we depend on Qt 4.6, use QGraphicsObject and QPropertyAnimation.

Also, the columnhandle can now no longer get lost while moving.
Fixes #247, fixes #687.

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 06/30/2010 06:32 PM - Sputnick
- Target version set to 0.7.0
- Version set to 0.4.3

- OS set to Any

#3 - 06/30/2010 06:44 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset b1d9c3ea56467245¢910ac1de1252c2a91c23410.
